/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * This file may have been hand-edited. Look for HAND-EDIT comments
 * before re-generating it.
 */

#ifndef ADAPTOR_H_1600719149
#define ADAPTOR_H_1600719149

#include <QtCore/QObject>
#include <QtDBus/QtDBus>
#include "server.h"
class QByteArray;
template<class T> class QList;
template<class Key, class Value> class QMap;
class QString;
class QStringList;
class QVariant;

/*
 * Adaptor class for interface org.bluez.mesh.ProvisionAgent1
 */
class ProvisionAgent1Adaptor: public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.bluez.mesh.ProvisionAgent1");
    Q_CLASSINFO("D-Bus Introspection", ""
"  <interface name=\"org.bluez.mesh.ProvisionAgent1\">\n"
"    <method name=\"PrivateKey\">\n"
"      <arg direction=\"out\" type=\"ay\" name=\"key\"/>\n"
"    </method>\n"
"    <method name=\"PublicKey\">\n"
"      <arg direction=\"out\" type=\"ay\" name=\"key\"/>\n"
"    </method>\n"
"    <method name=\"DisplayString\">\n"
"      <arg direction=\"in\" type=\"s\" name=\"value\"/>\n"
"    </method>\n"
"    <method name=\"DisplayNumeric\">\n"
"      <arg direction=\"in\" type=\"s\" name=\"type\"/>\n"
"      <arg direction=\"in\" type=\"u\" name=\"number\"/>\n"
"    </method>\n"
"    <method name=\"PromptNumeric\">\n"
"      <arg direction=\"in\" type=\"s\" name=\"type\"/>\n"
"      <arg direction=\"out\" type=\"u\" name=\"value\"/>\n"
"    </method>\n"
"    <method name=\"PromptStatic\">\n"
"      <arg direction=\"in\" type=\"s\" name=\"type\"/>\n"
"      <arg direction=\"out\" type=\"ay\" name=\"data\"/>\n"
"    </method>\n"
"    <method name=\"Cancel\"/>\n"
"    <property access=\"read\" type=\"as\" name=\"Capabilities\"/>\n"
"    <property access=\"read\" type=\"as\" name=\"OutOfBandInfo\"/>\n"
"    <property access=\"read\" type=\"s\" name=\"URI\"/>\n"
"  </interface>\n"
        "");

public:
    ProvisionAgent1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server *parent);
    virtual ~ProvisionAgent1Adaptor();

    inline Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server *parent() const
    { return static_cast<Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server *>(QObject::parent()); }

public: // PROPERTIES
    Q_PROPERTY(QStringList Capabilities READ capabilities)
    QStringList capabilities() const;

    Q_PROPERTY(QStringList OutOfBandInfo READ outOfBandInfo)
    QStringList outOfBandInfo() const;

    Q_PROPERTY(QString URI READ uRI)
    QString uRI() const;

public Q_SLOTS: // METHODS
    void Cancel();
    void DisplayNumeric(const QString &type, uint number);
    void DisplayString(const QString &value);
    QByteArray PrivateKey();
    uint PromptNumeric(const QString &type);
    QByteArray PromptStatic(const QString &type);
    QByteArray PublicKey();
Q_SIGNALS: // SIGNALS
};

#endif
